Page MenuHomePhabricator

[mips][ias] Prevent double-filling of delay slots by generating '.set noreorder' regions.
ClosedPublic

Authored by dsanders on Apr 15 2016, 9:48 AM.

Details

Summary

When clang is given -save-temps or -via-file-asm, any inline assembly in
the source is parsed twice. Once by the compiler, and again by the
assembler. We must take care to ensure that this doesn't lead to
double-filling delay slots.

Depends on D19164

Diff Detail

Repository
rL LLVM

Event Timeline

dsanders updated this revision to Diff 53908.Apr 15 2016, 9:48 AM
dsanders retitled this revision from to [mips] Prevent double-filling of delay slots by generating '.set noreorder' regions..
dsanders updated this object.
dsanders added reviewers: sdardis, vkalintiris.
dsanders added a subscriber: llvm-commits.
dsanders retitled this revision from [mips] Prevent double-filling of delay slots by generating '.set noreorder' regions. to [mips][ias] Prevent double-filling of delay slots by generating '.set noreorder' regions..Apr 15 2016, 9:49 AM
vkalintiris accepted this revision.Apr 17 2016, 1:48 PM
vkalintiris edited edge metadata.

LGTM.

This revision is now accepted and ready to land.Apr 17 2016, 1:48 PM
dsanders closed this revision.Apr 18 2016, 5:41 AM
This revision was automatically updated to reflect the committed changes.